Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List themes for a shop

Returns the theme navigation document for the shop — links to the current production theme, the dev theme (if any), and the action to create a new dev theme. Requires store.read scope and ownership of the shop.

GET/shops/{id}/themes
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Shop ID
Responses
200Themes navigation document
401Unauthorized
403Access denied
Request
curl -X GET "https://api.onbolder.com/v2/shops/1/themes" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "_class": [
    "results",
    "themes"
  ],
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops/1/themes"
    },
    "store:theme": {
      "href": "https://api.onbolder.com/v2/themes/abc123",
      "title": "Current theme"
    },
    "store:create_dev_theme": {
      "href": "https://api.onbolder.com/v2/shops/1/themes",
      "method": "post"
    },
    "store:dev_theme": {
      "href": "https://api.onbolder.com/v2/themes/def456",
      "title": "Dev theme"
    }
  }
}